Subject: A few questions about Rend386 and vid_pages! (fwd)

From: Bernie Roehl <broehl>
Date: Sat, 6 Mar 93 9:57:22 EST

> I was wondering if there was a way to do fast video page switches,and
> clears in regular c++, using the registers and video interrupt?

Yes and no.  Everything we're doing in assembler you can certainly do in
C, but it'll be much slower.  As to the "video interrupt", I assume you
mean the BIOS int 10h call, which doesn't know about Mode X.

> I have tried
> doing this stuff with the "bgi" libraries and quite frankly I could draw my
> screens faster by hand.

The BGI libraries are general-purpose, but slow.

> 2)  The Rend386 logo! Where is the data and or code that generates it?

I'm working on a more general solution for this for a future release; the
tricky thing is creating a PCX file in the right format with the correct
palette (you have to use the default rend386 palette).  If you can find a
paint program that will read the logo.pcx file provided with demo4, you
should be able to use the palette from that.  You can also try extracting
the palette from logo.pcx using Image Alchemy (I haven't tried this myself)>